<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Historial de Hallazgos</strong>
    </div>
    <div class="contSecc">
      <busqueda-resumen></busqueda-resumen>
      <div class="titSec ">Historial de hallazgos</div>
      <div class="gris">
        <div class="txtInfo">
          ¿Los extractos de la azotea están colocados correctamente? (Sí la
          respuesta es SÍ, se despliegan las preguntas 385 y 386).
        </div>
        <hr class="hrSeccion" />
        <div
          class="historia-hallazgos"
          v-for="historia in bdHistorial"
          :key="historia.estatus"
        >
          <div class="historia-txt">
            {{ historia.fecha }}<br />{{ historia.hora }}
          </div>
          <div>
            <div
              class="paso"
              v-bind:class="{
                bgV: historia.respuesta == 'Sí',
                bgR: historia.respuesta == 'No',
              }"
            >
              {{ historia.respuesta }}
            </div>
          </div>
          <div><img :src="historia.img" class="historia-img" /></div>

          <div>
            <div class="historia-txt demi">{{ historia.estatus }}</div>

            Persona que levantó el hallazgos
            <div class="historia-txt">{{ historia.responsable }}</div>

            Comentario
            <div class="historia-txt">{{ historia.comentario }}</div>
          </div>
        </div>
        <div class="btnCenter">
          <router-link to="/maquetado/hallazgos/busqueda-resultados"
            ><button class="btn btnG">Regresar</button></router-link
          >
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import BusquedaResumen from "@/views/maquetado/hallazgos/busqueda-resumen";
export default {
  name: "Component-busquedaDetalle",
  components: {
    BusquedaResumen,
  },
  data: () => ({
    breadcrumbs: [
      {
        text: "Plataforma de Franquicia",
        disabled: false,
        exact: true,
        to: {
          name: "home",
        },
      },
      {
        text: "Atención de hallazgos",
        disabled: false,
        exact: true,
        to: {
          name: "maquetado_hallazgos-busqueda",
        },
      },
      {
        text: "Historial de Hallazgos",
        disabled: true,
      },
    ],
    bdHistorial: [
      {
        idHallazgo: "1",
        estatus: "Autorizado",
        respuesta: "Sí",
        responsable: "189871 - DESDEWEB",
        fecha: "30/03/2020",
        hora: "17:26",
        comentario: "Se atendió",
        img: require("@/assets/img/hallazgos/tiendas/elektra1.jpg"),
      },
      {
        idHallazgo: "2",
        estatus: "Rechazado/Pendiente por atender",
        respuesta: "No",
        responsable: "189871 - DESDEWEB",
        fecha: "30/03/2020",
        hora: "17:26",
        comentario: "No se muestra correctamente en la fachada",
        img: require("@/assets/img/hallazgos/tiendas/elektra2.jpg"),
      },
      {
        idHallazgo: "3",
        estatus: "Por autorizar",
        respuesta: "No",
        responsable: "189871 - DESDEWEB",
        fecha: "06/02/2020",
        hora: "17:26",
        comentario: "No se realizó bien la modificación",
        img: require("@/assets/img/hallazgos/tiendas/elektra3.jpg"),
      },
      {
        idHallazgo: "4",
        estatus: "Por atender",
        respuesta: "No",
        responsable: "Carga Manual",
        fecha: "15/03/2020",
        hora: "17:26",
        comentario: "La colaboración del material es incorrecta",
        img: require("@/assets/img/hallazgos/tiendas/elektra4.jpg"),
      },
    ],
  }),
  methods: {},
};
</script>

<style scoped>
.historia-hallazgos {
  display: flex;
  margin-bottom: 20px;
  max-width: 860px;
  margin: 0px auto 20px auto;
}
.historia-hallazgos > div {
  margin: 0px 2%;
  position: relative;
}
.historia-txt {
  font-size: 15px;
  font-family: "AvenirNextLTPro-Medium";
  margin-bottom: 20px;
}

.paso {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #ffffff;
}
.paso:after {
  content: "";
  background-color: #ccc;
  position: absolute;
  top: 40px;
  /* right: 16%; */
  width: 2px;
  height: 194px;
  z-index: 0;
}
.historia-hallazgos:nth-last-child(n) > div:nth-last-child(2)::before {
  background-color: red;
}
.historia-hallazgos:nth-last-child(n) > div div.paso::before {
  content: "";
  background-color: #ccc;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  position: absolute;
  top: 235px;
}
</style>
